declare type Fn<T, R> = (datum: T, index: number) => R;
export declare function map<T, R>(fn: Fn<T, R>): (data: import("./shared-types").MaybePromise<Iterable<T> | AsyncIterable<T>>) => {
    [Symbol.asyncIterator](): AsyncGenerator<R, void, unknown>;
} | {
    [Symbol.iterator](): Generator<R, void, unknown>;
} | undefined;
export {};
