declare type Fn<T, R = T> = (acc: R, datum: T, index: number) => R;
export declare function reduce<R, T = R>(fn: Fn<T, R>, initial: R): (data: import("./shared-types").MaybePromise<Iterable<T> | AsyncIterable<T>>) => R | Promise<R> | undefined;
export {};
